Index: lemon/lp_glpk.cc
===================================================================
--- lemon/lp_glpk.cc	(revision 2368)
+++ lemon/lp_glpk.cc	(revision 2386)
@@ -104,26 +104,26 @@
   
   void LpGlpk::_eraseCol(int i) {
-    int cols[2];
-    cols[1]=i;
-    lpx_del_cols(lp, 1, cols);
+    int ca[2];
+    ca[1]=i;
+    lpx_del_cols(lp, 1, ca);
   }
   
   void LpGlpk::_eraseRow(int i) {
-    int rows[2];
-    rows[1]=i;
-    lpx_del_rows(lp, 1, rows);
-  }
-
-  void LpGlpk::_getColName(int col, std::string & name) const
-  {
-    
-    char *n = lpx_get_col_name(lp,col);
+    int ra[2];
+    ra[1]=i;
+    lpx_del_rows(lp, 1, ra);
+  }
+
+  void LpGlpk::_getColName(int c, std::string & name) const
+  {
+    
+    char *n = lpx_get_col_name(lp,c);
     name = n?n:"";
   }
   
   
-  void LpGlpk::_setColName(int col, const std::string & name)
-  {
-    lpx_set_col_name(lp,col,const_cast<char*>(name.c_str()));
+  void LpGlpk::_setColName(int c, const std::string & name)
+  {
+    lpx_set_col_name(lp,c,const_cast<char*>(name.c_str()));
 
   }
@@ -152,12 +152,12 @@
   }
 
-  void LpGlpk::_getRowCoeffs(int i, RowIterator b) const
-  {
-    int length = lpx_get_mat_row(lp, i, 0, 0);
+  void LpGlpk::_getRowCoeffs(int ix, RowIterator b) const
+  {
+    int length = lpx_get_mat_row(lp, ix, 0, 0);
     
     std::vector<int> indices(length + 1);
     std::vector<Value> values(length + 1);
     
-    lpx_get_mat_row(lp, i, &indices[0], &values[0]);
+    lpx_get_mat_row(lp, ix, &indices[0], &values[0]);
     
     for (int i = 1; i <= length; ++i) {
@@ -167,5 +167,5 @@
   }
   
-  void LpGlpk::_setColCoeffs(int i, ConstColIterator b, ConstColIterator e) {
+  void LpGlpk::_setColCoeffs(int ix, ConstColIterator b, ConstColIterator e) {
 
     std::vector<int> indices;
@@ -180,15 +180,15 @@
     }
     
-    lpx_set_mat_col(lp, i, values.size() - 1, &indices[0], &values[0]);
-  }
-
-  void LpGlpk::_getColCoeffs(int i, ColIterator b) const
-  {
-    int length = lpx_get_mat_col(lp, i, 0, 0);
+    lpx_set_mat_col(lp, ix, values.size() - 1, &indices[0], &values[0]);
+  }
+
+  void LpGlpk::_getColCoeffs(int ix, ColIterator b) const
+  {
+    int length = lpx_get_mat_col(lp, ix, 0, 0);
     
     std::vector<int> indices(length + 1);
     std::vector<Value> values(length + 1);
     
-    lpx_get_mat_col(lp, i, &indices[0], &values[0]);
+    lpx_get_mat_col(lp, ix, &indices[0], &values[0]);
     
     for (int i = 1; i <= length; ++i) {
@@ -198,15 +198,15 @@
   }
 
-  void LpGlpk::_setCoeff(int row, int col, Value value) 
+  void LpGlpk::_setCoeff(int ix, int jx, Value value) 
   {
 
     if (lpx_get_num_cols(lp) < lpx_get_num_rows(lp)) {
 
-      int length=lpx_get_mat_row(lp, row, 0, 0);
+      int length=lpx_get_mat_row(lp, ix, 0, 0);
       
       std::vector<int> indices(length + 2);
       std::vector<Value> values(length + 2);
       
-      lpx_get_mat_row(lp, row, &indices[0], &values[0]);
+      lpx_get_mat_row(lp, ix, &indices[0], &values[0]);
       
       //The following code does not suppose that the elements of the
@@ -214,5 +214,5 @@
       bool found=false;
       for (int i = 1; i <= length; ++i) {
-        if (indices[i]==col){
+        if (indices[i]==jx){
           found=true;
           values[i]=value;
@@ -222,18 +222,18 @@
       if (!found){
         ++length;
-        indices[length]=col;
+        indices[length]=jx;
         values[length]=value;
       }
     
-      lpx_set_mat_row(lp, row, length, &indices[0], &values[0]);
+      lpx_set_mat_row(lp, ix, length, &indices[0], &values[0]);
 
     } else {
 
-      int length=lpx_get_mat_col(lp, col, 0, 0);
+      int length=lpx_get_mat_col(lp, jx, 0, 0);
       
       std::vector<int> indices(length + 2);
       std::vector<Value> values(length + 2);
       
-      lpx_get_mat_col(lp, col, &indices[0], &values[0]);
+      lpx_get_mat_col(lp, jx, &indices[0], &values[0]);
       
       //The following code does not suppose that the elements of the
@@ -241,5 +241,5 @@
       bool found=false;
       for (int i = 1; i <= length; ++i) {
-        if (indices[i]==col){
+        if (indices[i]==jx){
           found=true;
           values[i]=value;
@@ -249,26 +249,26 @@
       if (!found){
         ++length;
-        indices[length]=row;
+        indices[length]=ix;
         values[length]=value;
       }
     
-      lpx_set_mat_col(lp, col, length, &indices[0], &values[0]);
-    }
-  }
-
-  LpGlpk::Value LpGlpk::_getCoeff(int row, int col) const
-  {
-
-    int length=lpx_get_mat_row(lp, row, 0, 0);
+      lpx_set_mat_col(lp, jx, length, &indices[0], &values[0]);
+    }
+  }
+
+  LpGlpk::Value LpGlpk::_getCoeff(int ix, int jx) const
+  {
+
+    int length=lpx_get_mat_row(lp, ix, 0, 0);
     
     std::vector<int> indices(length + 1);
     std::vector<Value> values(length + 1);
     
-    lpx_get_mat_row(lp, row, &indices[0], &values[0]);
+    lpx_get_mat_row(lp, ix, &indices[0], &values[0]);
     
     //The following code does not suppose that the elements of the
     //array indices are sorted
     for (int i = 1; i <= length; ++i) {
-      if (indices[i]==col){
+      if (indices[i]==jx){
 	return values[i];
       }
